Subject: Re: bug#46552: 27.1; image-mode should not move current point

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Feb 2021 19:17:54 +0200

> Right.  It is pretty odd that `M-: (call-interactively
> 'image-toggle-display)' works differently here than `C-c C-c', but that
> what happens with heuristics, I guess.

`C-c C-c' as a function `image-toggle-display' moves point to the end of
the image buffer (this is the bug fixed by Eli).  But when invoked
via `M-: (image-toggle-display) RET', exiting the minibuffer restores the
previous window configuration where point was at the beginning of
the buffer, thus restoring the previous point position.

This is related to bug#45072 that is a request for an option to not
restore a previous window configuration after exiting the minibuffer.